package http.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class MonitorVo implements Parcelable {

    public String streamUrl;
    public String deviceName;
    public String schoolName;
    public String buildName;
    public String floorName;
    public String subjectName;
    public String room;

    public MonitorVo() {
    }

    protected MonitorVo(Parcel in) {
        streamUrl = in.readString();
        deviceName = in.readString();
        schoolName = in.readString();
        buildName = in.readString();
        floorName = in.readString();
        subjectName = in.readString();
        room = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(streamUrl);
        dest.writeString(deviceName);
        dest.writeString(schoolName);
        dest.writeString(buildName);
        dest.writeString(floorName);
        dest.writeString(subjectName);
        dest.writeString(room);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MonitorVo> CREATOR = new Creator<MonitorVo>() {
        @Override
        public MonitorVo createFromParcel(Parcel in) {
            return new MonitorVo(in);
        }

        @Override
        public MonitorVo[] newArray(int size) {
            return new MonitorVo[size];
        }
    };
}
